      class RechteckGefuellt extends Rechteck
      {
         constructor(x, y, b, h, ff, rf, rd)
         {
            super(x, y, b, h);
            this.fuellungFarbe = ff;
            this.rahmenFarbe = rf;
            this.rahmenDicke = rd;
         }

         fuellungFaerben(ff)
         {
            this.fuellungFarbe = ff;
         }

         rahmenFaerben(rf)
         {
            this.rahmenFarbe = rf;
         }

         rahmenSkalieren(f)
         {
            this.rahmenDicke *= f;
         }

         toString()
         {
            return super.toString() + ", Füllung: " + this.fuellungFarbe + ", Rahmen: " + this.rahmenFarbe + "/" + this.rahmenDicke;
         }
      }
